-- A5M2で実行時に[SQL] - [スラッシュ(/)のみの行でSQLを区切る]に変えてから実行する
CREATE FUNCTION medaca_common.convert_to_date(date_string VARCHAR(255), _format VARCHAR(50)) RETURNS datetime
	DETERMINISTIC
BEGIN
	DECLARE converted_date DATETIME;

	DECLARE EXIT HANDLER FOR SQLEXCEPTION
	BEGIN
		-- エラー発生時にNULLを返す
		RETURN NULL;
	END;

	-- 日付変換の実行
	SET converted_date = STR_TO_DATE(date_string, _format);

	RETURN converted_date;
END